import React, { Component } from 'react';
import { StoreAction } from '../../actions';
import { Dispatch } from 'redux';
type DispatchProps = ReturnType<typeof mapDispatchToProps>;
interface OwnProps {
    paused: boolean | undefined;
}
type Props = DispatchProps & OwnProps;
declare class RecordButton extends Component<Props> {
    shouldComponentUpdate(nextProps: Props): boolean;
    render(): React.JSX.Element;
}
declare function mapDispatchToProps(dispatch: Dispatch<StoreAction>, ownProps: OwnProps): {
    pauseRecording: () => import("../../actions").LiftedActionDispatchAction;
};
declare const _default: import("react-redux").ConnectedComponent<typeof RecordButton, {
    key?: React.Key | null | undefined;
    paused: boolean | undefined;
    ref?: React.LegacyRef<RecordButton> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
